Flashback to Leopard

OS X LeopardIt seems that my ability to predict the future with respect to Mac malware is, indeed, on par with Digitime’s ability to predict anything. Just recently I wrote, “on the Mac, Leopard and Tiger are no longer being updated”. To prove me wrong (yeah, I’m sure that’s why they did it), Apple has just released a couple of security updates for Mac OS X 10.5 (Leopard). These are “Flashback Removal Security Update for Leopard (Intel)” and “Leopard Security Update 2012-003.” Both of these are available through Software Update.

The Flashback Removal Security tool is now available for Leopard users on Intel Macs. Leopard Security Update doesn’t actually fix any weaknesses in the operating system; its only job is to disable old versions of Adobe Flash Player and encourage people to upgrade to more recent versions of the Flash Player.

Beyond the ordinary

I am hesitant, without doing more research, to call this kind of security update “unprecedented” from Apple, but I am more than willing to call it “extraordinary”. Providing an security update to systems that have long fallen off the “supported” versions is highly unusual. I can only speculate that Apple has examined which systems have been most effected by Flashback and it taking extraordinary steps to help clear that up where it needs to.

Leopard users are still not covered

I have been pleading with people to keep their systems up to date. If you must run OS X Leopard then you should take extra care to keep your web browsers up to date, and (if you use it at all)  Adobe’s Flash player up to date.  Adobe’s Flash about page will let you know what version you are currently running.

Failure to keep systems up to date with the latest versions of software is an enormous security risk. Good updating habits not only help keep your system free of malware, but these habits can help reduce the amount of malware in the environment.

Apple’s two extraordinary updates do only two things. They provide the Flashback removal tool for Leopard users and they prevent Leopard users from using outdated versions of Adobe Flash. They do nothing whatsoever to bring the enormous security enhancements and fixes that have been brought to Snow Leopard and Lion.

1Password 3.5.12 is out for Leopard users!

Leopard logo

Ok Leopard users, this update is just for you—literally! Last month we released huge updates for Snow Leopard and Lion Mac users and Windows users, and now we have something special in store for those of you who are on Mac OS X 10.5 Leopard.

1Password 3.5.12 is available now specifically for Leopard users, and it brings a couple of key additions. First up is support for Firefox 5 on Intel-based Macs. Why does our Firefox 5 support only work for Intel-based Macs, you ask? Mostly because, with version 5, Mozilla went Intel-only with Firefox.

The other big change in 1Password 3.5.12 for Mac involves Dropbox, and this one is for both Intel and PowerPC users on Leopard. Dropbox has an upgrade coming that makes some big changes under the hood, especially in regards to protecting some of its key database files and allow applications like 1Password to figure out where your Dropbox folder is. We worked with the company to support these changes and maintain a smooth experience for 1Password users. These changes arrived in our aforementioned updates last month, and now Leopard users will be prepared for Dropbox’s upgrade when it arrives.

As usual, if you’ve had your fill of cute cat videos and hyper-stylized photos for the day, you can read our full list of changes in 1Password 3.5.12 on our versions page. Leopard users who want to update can go to 1Password > Check for Updates.